Skip to content

Shot Quality Assessments Endpoints

Shot Quality Assessments API endpoints.


Overview

Method Endpoint Description
POST /api/v1/shots/{shot_id}/quality-assessments Create Shot Quality Assessment
GET /api/v1/shots/{shot_id}/quality-assessments/{execution_id} Get Shot Quality Assessment

API Reference

Sartiq Backend Server - Shot Quality Assessments 0.1.0

shot-quality-assessments


POST /api/v1/shots/{shot_id}/quality-assessments

Create Shot Quality Assessment

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
Idempotency-Key header No
shot_id path string No

Request body

{
    "target_revision_id": null,
    "rerun": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "target_revision_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Target Revision Id"
        },
        "rerun": {
            "type": "boolean",
            "title": "Rerun",
            "default": false
        }
    },
    "type": "object",
    "title": "ShotQualityAssessmentCreate"
}

Responses

{
    "id": "cf042f85-a4ed-4cfd-9b6d-48c53439572f",
    "shot_id": "78b14f9c-32bd-4a01-8587-8e6c58d6cd95",
    "target_revision_id": "8b244967-4ba9-4cb8-9815-18406648cf1e",
    "result_revision_id": null,
    "trigger": "automatic",
    "status": "queued",
    "mode": "none",
    "template_id": null,
    "template_revision": null,
    "workflow_id": null,
    "supersedes_id": null,
    "passed": null,
    "summary": null,
    "report": null,
    "failure_code": null,
    "failure_message": null,
    "created_at": "2022-04-13T15:42:05.901Z",
    "updated_at": "2022-04-13T15:42:05.901Z",
    "started_at": null,
    "completed_at": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "shot_id": {
            "type": "string",
            "format": "uuid",
            "title": "Shot Id"
        },
        "target_revision_id": {
            "type": "string",
            "format": "uuid",
            "title": "Target Revision Id"
        },
        "result_revision_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Result Revision Id"
        },
        "trigger": {
            "$ref": "#/components/schemas/QualityAssessmentTrigger"
        },
        "status": {
            "$ref": "#/components/schemas/QualityAssessmentStatus"
        },
        "mode": {
            "$ref": "#/components/schemas/QualityAssessmentMode"
        },
        "template_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Template Id"
        },
        "template_revision": {
            "anyOf": [
                {
                    "type": "integer"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Template Revision"
        },
        "workflow_id": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Workflow Id"
        },
        "supersedes_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Supersedes Id"
        },
        "passed": {
            "anyOf": [
                {
                    "type": "boolean"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Passed"
        },
        "summary": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Summary"
        },
        "report": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/QaReport"
                },
                {
                    "type": "null"
                }
            ]
        },
        "failure_code": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Failure Code"
        },
        "failure_message": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Failure Message"
        },
        "created_at": {
            "type": "string",
            "format": "date-time",
            "title": "Created At"
        },
        "updated_at": {
            "type": "string",
            "format": "date-time",
            "title": "Updated At"
        },
        "started_at": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "date-time"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Started At"
        },
        "completed_at": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "date-time"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Completed At"
        }
    },
    "type": "object",
    "required": [
        "id",
        "shot_id",
        "target_revision_id",
        "trigger",
        "status",
        "mode",
        "created_at",
        "updated_at"
    ],
    "title": "ShotQualityAssessmentPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/shots/{shot_id}/quality-assessments/{execution_id}

Get Shot Quality Assessment

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
execution_id path string No
shot_id path string No

Responses

{
    "id": "ba11db0c-17a2-44ab-89ac-5c349b42d195",
    "shot_id": "65e982bd-9dbf-4543-90f0-f687d5558b18",
    "target_revision_id": "b4b76524-6b90-4dd1-b1e1-185aab34cb7c",
    "result_revision_id": null,
    "trigger": "automatic",
    "status": "queued",
    "mode": "none",
    "template_id": null,
    "template_revision": null,
    "workflow_id": null,
    "supersedes_id": null,
    "passed": null,
    "summary": null,
    "report": null,
    "failure_code": null,
    "failure_message": null,
    "created_at": "2022-04-13T15:42:05.901Z",
    "updated_at": "2022-04-13T15:42:05.901Z",
    "started_at": null,
    "completed_at": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "shot_id": {
            "type": "string",
            "format": "uuid",
            "title": "Shot Id"
        },
        "target_revision_id": {
            "type": "string",
            "format": "uuid",
            "title": "Target Revision Id"
        },
        "result_revision_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Result Revision Id"
        },
        "trigger": {
            "$ref": "#/components/schemas/QualityAssessmentTrigger"
        },
        "status": {
            "$ref": "#/components/schemas/QualityAssessmentStatus"
        },
        "mode": {
            "$ref": "#/components/schemas/QualityAssessmentMode"
        },
        "template_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Template Id"
        },
        "template_revision": {
            "anyOf": [
                {
                    "type": "integer"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Template Revision"
        },
        "workflow_id": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Workflow Id"
        },
        "supersedes_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Supersedes Id"
        },
        "passed": {
            "anyOf": [
                {
                    "type": "boolean"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Passed"
        },
        "summary": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Summary"
        },
        "report": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/QaReport"
                },
                {
                    "type": "null"
                }
            ]
        },
        "failure_code": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Failure Code"
        },
        "failure_message": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Failure Message"
        },
        "created_at": {
            "type": "string",
            "format": "date-time",
            "title": "Created At"
        },
        "updated_at": {
            "type": "string",
            "format": "date-time",
            "title": "Updated At"
        },
        "started_at": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "date-time"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Started At"
        },
        "completed_at": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "date-time"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Completed At"
        }
    },
    "type": "object",
    "required": [
        "id",
        "shot_id",
        "target_revision_id",
        "trigger",
        "status",
        "mode",
        "created_at",
        "updated_at"
    ],
    "title": "ShotQualityAssessmentPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

QaAssessment

Name Type Description
checks Array<QaCheck>
key string
label string
passed boolean
target QaTarget

QaCheck

Name Type Description
key string
label string
locations Array<QaLocation>
passed boolean
reasoning string

QaLocation

Name Type Description
x_max number
x_min number
y_max number
y_min number

QaReport

Name Type Description
assessments Array<QaAssessment>
passed boolean
schema_version integer
summary string

QaTarget

Name Type Description
key string
label string

QualityAssessmentMode

Type: string

QualityAssessmentStatus

Type: string

QualityAssessmentTrigger

Type: string

ShotQualityAssessmentCreate

Name Type Description
rerun boolean
target_revision_id

ShotQualityAssessmentPublic

Name Type Description
completed_at
created_at string(date-time)
failure_code
failure_message
id string(uuid)
mode QualityAssessmentMode
passed
report
result_revision_id
shot_id string(uuid)
started_at
status QualityAssessmentStatus
summary
supersedes_id
target_revision_id string(uuid)
template_id
template_revision
trigger QualityAssessmentTrigger
updated_at string(date-time)
workflow_id

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2